Start network scan (async)
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/discovery/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subnet": "192.168.1.0/24",
"target_ips": [
"<string>"
],
"exclude_ips": [
"<string>"
],
"timeout_seconds": 30,
"max_concurrent": 50,
"profile": "passive"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/discovery/scan"
payload = {
"subnet": "192.168.1.0/24",
"target_ips": ["<string>"],
"exclude_ips": ["<string>"],
"timeout_seconds": 30,
"max_concurrent": 50,
"profile": "passive"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subnet: '192.168.1.0/24',
target_ips: ['<string>'],
exclude_ips: ['<string>'],
timeout_seconds: 30,
max_concurrent: 50,
profile: 'passive'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/discovery/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/discovery/scan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subnet' => '192.168.1.0/24',
'target_ips' => [
'<string>'
],
'exclude_ips' => [
'<string>'
],
'timeout_seconds' => 30,
'max_concurrent' => 50,
'profile' => 'passive'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/discovery/scan"
payload := strings.NewReader("{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/discovery/scan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/discovery/scan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}"
response = http.request(request)
puts response.read_body{
"scan_id": "<string>",
"status": "running",
"profile": "<string>",
"subnet": "<string>",
"target_ips": [
"<string>"
],
"exclude_ips": [
"<string>"
],
"devices": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"progress": {
"scanned": 123,
"remaining": 123,
"total": 123
}
}Discovery
Start network scan (async)
POST
/
api
/
v1
/
discovery
/
scan
Start network scan (async)
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/discovery/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subnet": "192.168.1.0/24",
"target_ips": [
"<string>"
],
"exclude_ips": [
"<string>"
],
"timeout_seconds": 30,
"max_concurrent": 50,
"profile": "passive"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/discovery/scan"
payload = {
"subnet": "192.168.1.0/24",
"target_ips": ["<string>"],
"exclude_ips": ["<string>"],
"timeout_seconds": 30,
"max_concurrent": 50,
"profile": "passive"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subnet: '192.168.1.0/24',
target_ips: ['<string>'],
exclude_ips: ['<string>'],
timeout_seconds: 30,
max_concurrent: 50,
profile: 'passive'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/discovery/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/discovery/scan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subnet' => '192.168.1.0/24',
'target_ips' => [
'<string>'
],
'exclude_ips' => [
'<string>'
],
'timeout_seconds' => 30,
'max_concurrent' => 50,
'profile' => 'passive'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/discovery/scan"
payload := strings.NewReader("{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/discovery/scan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/discovery/scan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subnet\": \"192.168.1.0/24\",\n \"target_ips\": [\n \"<string>\"\n ],\n \"exclude_ips\": [\n \"<string>\"\n ],\n \"timeout_seconds\": 30,\n \"max_concurrent\": 50,\n \"profile\": \"passive\"\n}"
response = http.request(request)
puts response.read_body{
"scan_id": "<string>",
"status": "running",
"profile": "<string>",
"subnet": "<string>",
"target_ips": [
"<string>"
],
"exclude_ips": [
"<string>"
],
"devices": [
{}
],
"started_at": "2023-11-07T05:31:56Z",
"progress": {
"scanned": 123,
"remaining": 123,
"total": 123
}
}Autorizaciones
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
Cuerpo
application/json
